Bug 1744367 - The Guest window will flicker with the package virtualbox-guest-additions
Summary: The Guest window will flicker with the package virtualbox-guest-additions
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: virtualbox-guest-additions
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Hans de Goede
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-08-22 00:37 UTC by Luis Cabrera
Modified: 2019-10-26 17:26 UTC (History)
3 users (show)

Fixed In Version: virtualbox-guest-additions-6.0.12-1.fc31 virtualbox-guest-additions-6.0.12-1.fc30 virtualbox-guest-additions-6.0.12-1.fc29 virtualbox-guest-additions-6.0.14-1.fc30 virtualbox-guest-additions-6.0.14-1.fc29 virtualbox-guest-additions-6.0.14-1.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-25 17:01:37 UTC


Attachments (Terms of Use)

Description Luis Cabrera 2019-08-22 00:37:47 UTC
Description of problem:

Since version 28 of Fedora, the package comes with the distribution but with VirtualBox 6; when using Fedora 30 the package Guest Additions is having issues with the VBoxSVGA graphics card, as it start to wake up the guest window (it turns white and then goes back to normal), but if I use the VMSVGA controller it does not do it.  However the screen does not dinamically resizes, whereas with the VBoxSVGA it does it but then it fails.  I have had to remove the package and install the Guest Additions CD Image.

Version-Release number of selected component (if applicable):

VirtualBox-guest-additions all

How reproducible:
Steps to Reproduce:
1. Configure in the virtual box screen, in host, the VBoxSVGA controller.
2. Start Fedore 30 in VisturalBox as Host
3. Re-size the Guest window (Fedora)
The window will re-size without issues
When re-sizing, the window will start flickering


Actual results:

The Guest window will flicker with the package.

Expected results:
Don't Flicker and re-size

Additional info: VirtualBox 6 OS HOST: MacOS X Mojave

Comment 1 Hans de Goede 2019-08-22 10:45:39 UTC
I've tried to reproduce this on a Fedora 30 host (and with a Fedora 30 vm) and I've been unable to reproduce this. VirtualBox 6.0.10 (on the host side) is supposed to have a fix for this, are you running the latest version of VirtualBox (which is 6.0.10) ?

Comment 2 Luis Cabrera 2019-08-23 22:03:06 UTC
Thanks for your quick response!

Actually, I am using VirtualBox version 6.0.10 in the Host.  And this is MacOs X and the guest is Fedora 30 with the 'virtualbox-guest-additions' version 6.0.10 package

It seems that when the VM is requested to perform a bir process, the window will flicker.

Below the link with the case: https://youtu.be/n_8JCDdECSM

Comment 3 Fedora Update System 2019-09-06 22:45:53 UTC
FEDORA-2019-557346a1a4 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-557346a1a4

Comment 4 Fedora Update System 2019-09-06 22:46:19 UTC
FEDORA-2019-2d5ebb9251 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-2d5ebb9251

Comment 5 Fedora Update System 2019-09-06 22:46:34 UTC
FEDORA-2019-fa7ee516e0 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-fa7ee516e0

Comment 6 Fedora Update System 2019-09-07 16:57:47 UTC
virtualbox-guest-additions-6.0.12-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-557346a1a4

Comment 7 Fedora Update System 2019-09-08 03:49:47 UTC
virtualbox-guest-additions-6.0.12-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-2d5ebb9251

Comment 8 Fedora Update System 2019-09-08 05:47:10 UTC
virtualbox-guest-additions-6.0.12-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-fa7ee516e0

Comment 9 Fedora Update System 2019-09-14 00:10:30 UTC
virtualbox-guest-additions-6.0.12-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2019-09-14 16:33:58 UTC
virtualbox-guest-additions-6.0.12-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2019-09-16 01:10:32 UTC
virtualbox-guest-additions-6.0.12-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2019-09-16 02:21:05 UTC
virtualbox-guest-additions-6.0.12-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Luis Cabrera 2019-09-27 12:55:10 UTC
I appreciate your help, but the issues persist with VirtualBox-guest-additions un version 6.0.12 Both with the VBoxVGA as well as the VBoxSVGA. Screen will blink and Also when ghe screen Is re-sized, but with these controllers the screen can ve re-sized but blinks; with the VMSVGA controller it can't be re-sized in Real Time but ir dies not blinks. Attached dime videos that show it.

https://youtu.be/T9mCtJmcNtk

https://youtu.be/57oHy2OXwA0

https://youtu.be/UX56AdrS8_M

Comment 14 Fedora Update System 2019-10-17 03:32:24 UTC
FEDORA-2019-b1bf808030 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-b1bf808030

Comment 15 Fedora Update System 2019-10-17 03:32:35 UTC
FEDORA-2019-d703598d98 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-d703598d98

Comment 16 Fedora Update System 2019-10-17 03:32:48 UTC
FEDORA-2019-5b2da340cd has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-5b2da340cd

Comment 17 Fedora Update System 2019-10-17 15:30:36 UTC
virtualbox-guest-additions-6.0.14-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-b1bf808030

Comment 18 Fedora Update System 2019-10-17 23:42:10 UTC
virtualbox-guest-additions-6.0.14-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-d703598d98

Comment 19 Fedora Update System 2019-10-18 00:35:21 UTC
virtualbox-guest-additions-6.0.14-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-5b2da340cd

Comment 20 Fedora Update System 2019-10-25 17:01:37 UTC
virtualbox-guest-additions-6.0.14-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2019-10-25 18:08:27 UTC
virtualbox-guest-additions-6.0.14-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2019-10-26 17:26:56 UTC
virtualbox-guest-additions-6.0.14-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.